mappings:
  # Name
  first_name: name.first
  last_name: name.last
  name: name.name
  salutation: name.salutation
  # Metadata
  date_entered: meta.created.date
  created_by: meta.created.user_id
  date_modified: meta.modified.date
  modified_user_id: meta.modified.user_id
  assigned_user_id: meta.assigned.user_id
  modified_by_name: meta.modified.user_name
  created_by_name: meta.created.user_name
  assigned_user_name: meta.assigned.user_name
  assigned_user_name_owner: meta.assigned.owner_name
  # Account
  account_id: account.id
  account_name: account.name
  account_description: account.description
  title: account.title
  department: account.department
  # Opportunity
  opportunity_id: opportunity.id
  opportunity_name: opportunity.name
  opportunity_amount: opportunity.amount
  # Reports to
  reports_to_id: reports_to.id
  report_to_name: reports_to.name
  reports_to_name: reports_to.name
  # Other
  assistant: assistant.name
  assistant_phone: assistant.phone
  campaign_id: campaign.id
  campaign_name: campaign.name
  parent_id: parent.id
  parent_name: parent.name
  messenger_id: messenger.id
  messenger_type: messenger.type
  lead_source: lead.type
  lead_source_description: lead.description
regexMappings:
  /^email[0-9]*$/: +email
  /^phone\_([a-z_]+)$/: phone.@1
  /^address\_([a-z_]+)$/: address.primary.@1
  /^([a-z]+)\_address\_([a-z_]+)$/: address.@1.@2
blacklist:
- deleted
- photo
- do_not_call
- lawful_basis
- date_reviewed
- lawful_basis_source
- c_accept_status_fields
- m_accept_status_fields
- e_invite_status_fields
- e_accept_status_fields
- jjwg_maps_lng_c
- jjwg_maps_lat_c
- jjwg_maps_geocode_status_c
- jjwg_maps_address_c
- opportunity_role_fields
- id_c
- joomla_account_id
- portal_account_disabled
- portal_user_type
- portal_only
- portal_name
- portal_app
- user_hash
- pwd_last_changed
- authenticate_id
- sugar_login
- is_admin
- external_auth_only
- receive_notifications
- status
- show_on_employees
- is_group
- factor_auth
- factor_auth_interface
- securitygroup_noninher_fields
- system_generated_password
- full_name
- modified_by_name_mod
- created_by_name_mod
- assigned_user_name_mod
- parent_name_mod
- report_to_name_mod
- campaign_name_mod
- email_opt_out